package com.qmth.distributed.print.business.bean.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.distributed.print.business.enums.ClazzContentEnum;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 命题计划统计表班级内容详细细心
 * @Author: CaoZixuan
 * @Date: 2022-04-26
 */
public class ClazzContentDto {
    @ApiModelProperty(value = "班级id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long clazzId;

    @ApiModelProperty(value = "班级名称")
    private String clazzName;

    @ApiModelProperty(value = "任课老师名称")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examPrintPlanId;

    @ApiModelProperty(value = "任课老师名称")
    private String examPrintPlanName;

    @ApiModelProperty(value = "任课老师名称")
    private String paperNumber;

    @ApiModelProperty(value = "任课老师名称")
    private ClazzContentEnum status;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "学生数量")
    private String printCount;

    public Long getClazzId() {
        return clazzId;
    }

    public void setClazzId(Long clazzId) {
        this.clazzId = clazzId;
    }

    public String getClazzName() {
        return clazzName;
    }

    public void setClazzName(String clazzName) {
        this.clazzName = clazzName;
    }

    public Long getExamPrintPlanId() {
        return examPrintPlanId;
    }

    public void setExamPrintPlanId(Long examPrintPlanId) {
        this.examPrintPlanId = examPrintPlanId;
    }

    public String getExamPrintPlanName() {
        return examPrintPlanName;
    }

    public void setExamPrintPlanName(String examPrintPlanName) {
        this.examPrintPlanName = examPrintPlanName;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public ClazzContentEnum getStatus() {
        return status;
    }

    public void setStatus(ClazzContentEnum status) {
        this.status = status;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getPrintCount() {
        return printCount;
    }

    public void setPrintCount(String printCount) {
        this.printCount = printCount;
    }
}
